summaryrefslogtreecommitdiff
path: root/package/netifd/files/etc/init.d
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2011-10-21 01:47:49 +0000
committerFelix Fietkau <nbd@openwrt.org>2011-10-21 01:47:49 +0000
commit55aeabae10d9429de0453d6df4271426478b406b (patch)
treecb77e67888dff2800c29051dfe2673e40c56d2eb /package/netifd/files/etc/init.d
parent2ccd191b76f600d99d4b8ee15bb8fd1d0f2cf616 (diff)
downloadmtk-20170518-55aeabae10d9429de0453d6df4271426478b406b.zip
mtk-20170518-55aeabae10d9429de0453d6df4271426478b406b.tar.gz
mtk-20170518-55aeabae10d9429de0453d6df4271426478b406b.tar.bz2
add an initial (experimental) version of netifd, disabled by default
SVN-Revision: 28499
Diffstat (limited to 'package/netifd/files/etc/init.d')
-rwxr-xr-xpackage/netifd/files/etc/init.d/netifd18
-rwxr-xr-xpackage/netifd/files/etc/init.d/network20
2 files changed, 38 insertions, 0 deletions
diff --git a/package/netifd/files/etc/init.d/netifd b/package/netifd/files/etc/init.d/netifd
new file mode 100755
index 0000000..e1047e7
--- /dev/null
+++ b/package/netifd/files/etc/init.d/netifd
@@ -0,0 +1,18 @@
+#!/bin/sh /etc/rc.common
+START=20
+PIDFILE=/var/run/netifd.pid
+
+start() {
+ stop
+ start-stop-daemon -S -b -m -p $PIDFILE -x /sbin/netifd
+}
+
+reload() {
+ ubus call network reload
+}
+
+stop() {
+ [ -e "$PIDFILE" ] || return
+ start-stop-daemon -K -p $PIDFILE -x /sbin/netifd
+ rm -f "$PIDFILE"
+}
diff --git a/package/netifd/files/etc/init.d/network b/package/netifd/files/etc/init.d/network
new file mode 100755
index 0000000..d7d8735
--- /dev/null
+++ b/package/netifd/files/etc/init.d/network
@@ -0,0 +1,20 @@
+#!/bin/sh /etc/rc.common
+START=40
+STOP=90
+
+start() {
+ setup_switch() { return 0; }
+
+ include /lib/network
+ setup_switch
+
+ ubus call network reload
+}
+
+restart() {
+ start
+}
+
+stop() {
+ /sbin/ifdown -a
+}